> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events

> Retrieve a list of events



## OpenAPI

````yaml get /event
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /event:
    get:
      tags:
        - Event
      summary: List Events
      description: Retrieve a list of events
      parameters:
        - name: id
          in: query
          description: Event ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Event creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: conversation_id
          in: query
          description: Conversation ID
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: type
          in: query
          description: Type of event
          schema:
            type: string
        - name: source_type
          in: query
          description: Source type
          schema:
            type: string
        - name: target_type
          in: query
          description: Target type
          schema:
            type: string
        - name: metadata
          in: query
          description: Metadata of event
          schema:
            type: string
        - name: source_rule_id
          in: query
          description: Source rule ID
          schema:
            type: string
        - name: source_employee_id
          in: query
          description: Source employee ID
          schema:
            type: string
        - name: source_api_token_id
          in: query
          description: Source API token ID
          schema:
            type: string
        - name: source_comment_id
          in: query
          description: Source comment ID
          schema:
            type: string
        - name: source_channel_id
          in: query
          description: Source channel ID
          schema:
            type: string
        - name: source_recipient_id
          in: query
          description: Source recipient ID
          schema:
            type: string
        - name: target_employee_id
          in: query
          description: Target employee ID
          schema:
            type: string
        - name: target_comment_id
          in: query
          description: Target comment ID
          schema:
            type: string
        - name: target_message_id
          in: query
          description: Target message ID
          schema:
            type: string
        - name: target_tag_id
          in: query
          description: Target tag ID
          schema:
            type: string
        - name: target_message_action_id
          in: query
          description: Target message action ID
          schema:
            type: string
        - name: target_inbox_id
          in: query
          description: Target inbox ID
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: order
          in: query
          description: 'Ordering. Allowed Fields: `created_at`'
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/event'
components:
  schemas:
    event:
      type: object
      properties:
        id:
          type: string
          description: Event ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Event creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        conversation_id:
          type: string
          description: Conversation ID
          format: uuid
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        type:
          type: string
          description: Type of event
          format: public.event_type
          enum:
            - assign
            - unassign
            - close
            - reopen
            - comment
            - mention
            - inbound
            - outbound
            - tag
            - untag
            - sending_error
            - message_bounce_error
            - submit
            - subject_change
            - submission_error
            - read
            - archive
            - action_click
            - inbox_change
            - spam
            - ham
            - contact_deletion
            - external_id_change
            - message_reaction
            - form_submission_start
            - inbound_voice_call
        source_type:
          type: string
          description: Source type
          format: public.event_entity_type
          enum:
            - employee
            - channel
            - comment
            - message
            - tag
            - recipient
            - message_action
            - api_token
            - service_role
            - inbox
            - rule
            - form_submission
            - cs_agent_session
            - cs_agent
            - voice_call
          nullable: true
        target_type:
          type: string
          description: Target type
          format: public.event_entity_type
          enum:
            - employee
            - channel
            - comment
            - message
            - tag
            - recipient
            - message_action
            - api_token
            - service_role
            - inbox
            - rule
            - form_submission
            - cs_agent_session
            - cs_agent
            - voice_call
          nullable: true
        metadata:
          type: object
          description: Metadata of event
          format: jsonb
          nullable: true
        source_rule_id:
          type: string
          description: Source rule ID
          format: uuid
          nullable: true
        source_employee_id:
          type: string
          description: Source employee ID
          format: uuid
          nullable: true
        source_api_token_id:
          type: string
          description: Source API token ID
          format: uuid
          nullable: true
        source_comment_id:
          type: string
          description: Source comment ID
          format: uuid
          nullable: true
        source_channel_id:
          type: string
          description: Source channel ID
          format: uuid
          nullable: true
        source_recipient_id:
          type: string
          description: Source recipient ID
          format: uuid
          nullable: true
        target_employee_id:
          type: string
          description: Target employee ID
          format: uuid
          nullable: true
        target_comment_id:
          type: string
          description: Target comment ID
          format: uuid
          nullable: true
        target_message_id:
          type: string
          description: Target message ID
          format: uuid
          nullable: true
        target_tag_id:
          type: string
          description: Target tag ID
          format: uuid
          nullable: true
        target_message_action_id:
          type: string
          description: Target message action ID
          format: uuid
          nullable: true
        target_inbox_id:
          type: string
          description: Target inbox ID
          format: uuid
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````